## org.eclipse.xsd
Interface XSDModelGroupDefinition

All Superinterfaces:
  EObject, Notifier, XSDComponent, XSDConcreteComponent, XSDNamedComponent, XSDParticleContent, XSDRedefinableComponent, XSDRedefineContent, XSDSchemaContent

All Known Implementing Classes:
  XSDModelGroupDefinitionImpl

    public interface XSDModelGroupDefinition

extends XSDRedefinableComponent, XSDParticleContent, XSDRedefineContent

A representation of the model object 'Model Group Definition'.

The following features are supported:

- `Model Group Definition Reference`
- `Annotation`
- `Model Group`
- `Resolved Model Group Definition`

See Also:
  `XSDPackage.getXSDModelGroupDefinition()`

Method Summary
`XSDAnnotation` `getAnnotation()` Returns the value of the 'Annotation' containment reference
`XSDModelGroup` `getModelGroup()` Returns the value of the 'Model Group' containment reference
`XSDModelGroupDefinition` `getResolvedModelGroupDefinition()` Returns the value of the 'Resolved Model Group Definition' reference
`boolean` `isModelGroupDefinitionReference()` Returns the value of the 'Model Group Definition Reference' attribute
`void` `setAnnotation(XSDAnnotation value)` Sets the value of the '`Annotation`' containment reference
`void` `setModelGroup(XSDModelGroup value)` Sets the value of the '`Model Group`' containment reference
`void` `setResolvedModelGroupDefinition(XSDModelGroupDefinition value)` Sets the value of the '`Resolved Model Group Definition`' reference

Methods inherited from interface org.eclipse.xsd.XSDRedefinableComponent
`isCircular`

Methods inherited from interface org.eclipse.xsd.XSDNamedComponent
`getAliasName, getAliasURI, getName, getQName, getQName, getTargetNamespace, getURI, hasNameAndTargetNamespace, hasSameNameAndTargetNamespace, hasURI, setName, setTargetNamespace`

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, cloneConcreteComponent, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, cloneConcreteComponent, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isModelGroupDefinitionReference

    boolean isModelGroupDefinitionReference()

  Returns the value of the 'Model Group Definition Reference' attribute.

  This concrete attribute is equivalent to

        xsdModelGroupDefinition != xsdModelGroupDefinition.getResolvedModelGroupDefinition()

  An infoset feature will never return an instance for which this is the `true` since this is a concrete attribute that is used to represent a model group definition with a ref attribute.

  Returns:
    the value of the 'Model Group Definition Reference' attribute.
  See Also:
    `getResolvedModelGroupDefinition()`, `XSDPackage.getXSDModelGroupDefinition_ModelGroupDefinitionReference()`

### getAnnotation

    XSDAnnotation getAnnotation()

  Returns the value of the 'Annotation' containment reference.

  This represents the annotation infoset property.

  Returns:
    the value of the 'Annotation' containment reference.
  See Also:
    `setAnnotation(XSDAnnotation)`, `XSDPackage.getXSDModelGroupDefinition_Annotation()`

### setAnnotation

    void setAnnotation(XSDAnnotation value)

  Sets the value of the '`Annotation`' containment reference.

  Parameters:
    `value` - the new value of the 'Annotation' containment reference.
  See Also:
    `getAnnotation()`

### getModelGroup

    XSDModelGroup getModelGroup()

  Returns the value of the 'Model Group' containment reference.

  This represents the model group infoset property. (Some browsers do a case-insenstive match on the anchor and get the above link wrong; it should point to a property of a model group definition.)

  Returns:
    the value of the 'Model Group' containment reference.
  See Also:
    `setModelGroup(XSDModelGroup)`, `XSDPackage.getXSDModelGroupDefinition_ModelGroup()`

### setModelGroup

    void setModelGroup(XSDModelGroup value)

  Sets the value of the '`Model Group`' containment reference.

  Parameters:
    `value` - the new value of the 'Model Group' containment reference.
  See Also:
    `getModelGroup()`

### getResolvedModelGroupDefinition

    XSDModelGroupDefinition getResolvedModelGroupDefinition()

  Returns the value of the 'Resolved Model Group Definition' reference.

  This concrete reference represents the model group definition resolved by the ref attribute. Note that as of the writing of this documentation, the ref attribute doesn't actually appear in the XML Representation Summary, but it is mentioned in the particle interpretation.

  Returns:
    the value of the 'Resolved Model Group Definition' reference.
  See Also:
    `isModelGroupDefinitionReference()`, `setResolvedModelGroupDefinition(XSDModelGroupDefinition)`, `XSDPackage.getXSDModelGroupDefinition_ResolvedModelGroupDefinition()`

### setResolvedModelGroupDefinition

    void setResolvedModelGroupDefinition(XSDModelGroupDefinition value)

  Sets the value of the '`Resolved Model Group Definition`' reference.

  Parameters:
    `value` - the new value of the 'Resolved Model Group Definition' reference.
  See Also:
    `getResolvedModelGroupDefinition()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.